=== test/CMakeLists.txt ===
project(test)

add_subdirectory(GrcRegressionTest)

enable_testing()
