=== compiler/LZ4/CMakeLists.txt ===
project(lz4)

add_library(lz4 STATIC lz4.c lz4hc.c)
