## grcompiler 4.2~pre4

=== debian/changelog ===
grcompiler (4.2~pre4-1) unstable; urgency=low

  * Fix lintian warnings
  * Upload to Debian (Closes: #614754)

 -- Daniel Glassey <wdg@debian.org>  Wed, 09 May 2012 13:55:35 +0700

grcompiler (4.2~pre2-1~palaso2) UNRELEASED; urgency=low

  * debian/copyright machine readable format

 -- Daniel Glassey <wdg@debian.org>  Mon, 07 May 2012 12:11:55 +0700

grcompiler (4.2~pre1-1~palaso1) UNRELEASED; urgency=low

  * New upstream version 4.2 prerelease
  * updated dependencies to suggest iceweasel/firefox and libreoffice
      in versions that have graphite support

 -- Daniel Glassey <wdg@debian.org>  Thu, 19 Apr 2012 14:04:58 +0700

grcompiler (2.4.3) lucid; urgency=low

  * use TtfUtils code from GrEngine

 -- Martin Hosken <martin_hosken@sil.org>  Tue, 14 Sep 2010 09:50:05 +0700

grcompiler (2.4.1-1ubuntu1) unstable; urgency=low

  * Bug fix release

 -- Martin Hosken <martin_hosken@sil.org>  Thu, 05 Feb 2009 09:15:25 +0700

grcompiler (2.1+0000svn-1) unstable; urgency=low

  * Initial Release from svn.

 -- Daniel Glassey <wdg@debian.org>  Sat,  1 Sep 2007 18:35:41 +0100

Local variables:
mode: debian-changelog
End:
