=== debian/control ===
Source: grcompiler
Build-Depends: autotools-dev, debhelper (>= 7.0.50~), docbook2x, pkg-config, libicu-dev (>= 4.2)
Build-Conflicts: libgtkhtml3.2-dev, libgtkhtml3.6-dev
Section: devel
Priority: optional
Maintainer: Daniel Glassey <wdg@debian.org>
Uploaders: Martin Hosken <martin_hosken@sil.org>
Standards-Version: 3.9.3.1

Package: grcompiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libgraphite2-2.0.0, pango-graphite, iceweasel (>= 11.0) | firefox (>= 11.0), libreoffice
Description: Compiler of smart (graphite) fonts
 SILGraphite is a system that can be used to create and use "smart
 fonts" capable of displaying writing systems with various complex
 behaviors, such as: contextual shaping, ligatures, reordering, split
 glyphs, bidirectionality, stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a
 complement to other smart font rendering technologies with limited
 practical local extensability. Its purpose is to help meet the needs of
 a very large number of "minority language" communities for local
 extensibility of complex script behaviors.
 .
 The behavior of the SILGraphite rendering engine for a given writing
 system is specified through extra tables added to a TrueType font. These
 tables are generated by compiling a GDL (Graphite Description Language)
 source file into a font using grcompiler.
 .
 This package contains the graphite compiler.
