## grcompiler 4.2~pre5

=== debian/changelog ===
grcompiler (4.2~pre5-2) unstable; urgency=low

  * debian/control build-dep on debhelper 9
  * debian/compat 9 to get hardening flags

 -- Daniel Glassey <wdg@debian.org>  Fri, 01 Jun 2012 11:12:07 +0700

grcompiler (4.2~pre5-1) unstable; urgency=low

  * New upstream pre-release
  * debian/control Change maintainer to pkg-fonts team
  * fix EOF and char issue (Closes:#673723)

 -- Daniel Glassey <wdg@debian.org>  Wed, 30 May 2012 13:06:21 +0700
