## grcompiler 4.2~pre6

=== debian/changelog ===
grcompiler (4.2~pre6-1) unstable; urgency=low

  * New upstream release
  * don't get full ldflags from icu-config (with PIE hardening flags)

 -- Daniel Glassey <wdg@debian.org>  Thu, 07 Jun 2012 17:04:27 +0700
