## grcompiler 4.2

=== debian/changelog ===
grcompiler (4.2-7build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:32:51 +0100

grcompiler (4.2-7build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 08:57:43 +0100

grcompiler (4.2-7) unstable; urgency=medium

  * Team upload

  [ Daniel Glassey ]
  * d/control:
    - update Vcs-* for salsa
    - build dep on debhelper 11
    - update team maintainer to debian-fonts@lists.debian.org
  * compat level 11
  * d/watch: grcompiler is now on gihub
      thanks to bgermann for the PR

  [ Hideki Yamane ]
  * debian/patches
    - add icu_pkg-config.patch (Closes: #916123)
  * debian/control
    - set Standards-Version: 4.3.0
    - Suggests: drop iceweasel and add "gnome-www-browser | firefox-esr"
    - drop unnecessary "Build-depends: dh-autoreconf"
    - use dh12, set "Build-Depends: debhelper (>= 12), debhelper-compat (= 12)"
    - fix wrong Vcs-Git url
    - Add Homepage: field
  * debian/copyright
    - use https for copyright format URL

 -- Hideki Yamane <henrich@debian.org>  Wed, 02 Jan 2019 14:28:41 +0900

grcompiler (4.2-6) unstable; urgency=medium

  * Team upload
  * debian/patches
    - add 0002-set-OK_DATE-FALSE-for-reproducible-build.patch
  * debian/control
    - update Vcs-*: use https and cgit

 -- Hideki Yamane <henrich@debian.org>  Tue, 26 Jan 2016 22:00:58 +0900

grcompiler (4.2-5) unstable; urgency=medium

  * Team upload
  * debian/rules
    - add hardening flags, and hope also fix reproducible build issue
  * debian/control
    - set Standards-Version: 3.9.6

 -- Hideki Yamane <henrich@debian.org>  Sat, 06 Jun 2015 13:15:15 +0900

grcompiler (4.2-4) unstable; urgency=medium

  * Team upload
  * debian/rules
    - run run dh-autoreconf to update config.{sub,guess} and
      {libtool,aclocal}.m4 (Closes: #727880)
    - also it fixes "FTBFS: Makefile:596: *** missing separator (did you mean
      TAB instead of 8 spaces?). Stop." since reconf would update wrong
      Makefile.in (Closes: #750282)
  * debian/control
    - replace s/autotools-dev/dh-autoreconf/
  * debian/copyright
    - fix spell error

 -- Hideki Yamane <henrich@debian.org>  Wed, 29 Jan 2014 20:55:10 +0900

grcompiler (4.2-3) unstable; urgency=medium

  * Team upload
  * debian/patches
    - add fix_GrcRegressionTest_Makefile.patch to fix FTBFS
      (Closes: #724916)
  * debian/control
    - use libgraphite2-3 for Suggests, Thanks to Rene Engelhard
     <rene@debian.org> (Closes: #707121)

 -- Hideki Yamane <henrich@debian.org>  Wed, 08 Jan 2014 14:48:34 +0900

grcompiler (4.2-2) unstable; urgency=low

  * Team upload
  * Fix typo in changelog: extensibility.
    Thanks to Reuben Thomas. Closes: #693972
  * Build with autotools_dev to use up-to-date config.{guess,sub}
    Thanks to Matthias Klose.
    Closes: #727880
  * Use git for packaging: add Vcs-* fields
  * Update Standards to 3.9.5 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Dec 2013 19:50:31 +0100

grcompiler (4.2-1) unstable; urgency=low

  * New upstream release
  * LIBS not LDFLAGS for icu ldflags, Closes: #677671
       Thanks to Julian Taylor for the patch

 -- Daniel Glassey <wdg@debian.org>  Wed, 27 Jun 2012 10:40:59 +0700
