=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: grcompiler
-Build-Depends: autotools-dev, debhelper (>= 9.20120115), docbook2x, pkg-config, libicu-dev (>= 4.2)
+Build-Depends: debhelper (>= 12), debhelper-compat (= 12), docbook2x, pkg-config, libicu-dev (>= 4.2)
 Build-Conflicts: libgtkhtml3.2-dev, libgtkhtml3.6-dev
 Section: devel
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Daniel Glassey <wdg@debian.org>, Martin Hosken <martin_hosken@sil.org>
-Standards-Version: 3.9.3
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/fonts-team/grcompiler
+Vcs-Git: https://salsa.debian.org/fonts-team/grcompiler.git
+Homepage: https://github.com/silnrsi/grcompiler
 
 Package: grcompiler
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libgraphite2-2.0.0, pango-graphite, iceweasel (>= 11.0) | firefox (>= 11.0), libreoffice
+Suggests: libgraphite2-3, pango-graphite, gnome-www-browser | firefox-esr, libreoffice
 Description: Compiler of smart (graphite) fonts
  SILGraphite is a system that can be used to create and use "smart
  fonts" capable of displaying writing systems with various complex
@@ -20,7 +23,7 @@
  This library was designed and developed by the NRSI (Non-Roman Script
  Initiative) within SIL International (www.sil.org) to act as a
  complement to other smart font rendering technologies with limited
- practical local extensability. Its purpose is to help meet the needs of
+ practical local extensibility. Its purpose is to help meet the needs of
  a very large number of "minority language" communities for local
  extensibility of complex script behaviors.
  .
