## grcompiler 5.2

=== debian/changelog ===
grcompiler (5.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Prevent year sensitive test (Closes: #980699)

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 13 Feb 2021 15:27:23 +0100

grcompiler (5.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patches for big endian (Closes: #961444, #961445)
  * Add upstream patch for font names (Closes: #961438)
  * d/copyright: Add missing Upstream-Contact

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 08 Sep 2020 17:44:40 +0200

grcompiler (5.2-2) unstable; urgency=medium

  * Team upload 
  * debian/patches
    - Add 0004-Bug#961444.patch, taken from upstream git to deal with
      "FTBFS on architectures where char is unsigned" (Closes: #961444)

 -- Hideki Yamane <henrich@debian.org>  Sun, 16 Aug 2020 18:41:30 +0900

grcompiler (5.2-1) unstable; urgency=medium

  * Team upload

  * New Upstream Version 5.2 (Closes: #961226)

  [ Bastian Germann ]
  * Build with LZ4
  * Refresh patches
  * Update debhelper to v13
  * Lintian: rules-requires-root-missing
  * d/copyright: correct info, add BSD license
  * d/copyright: move 2x referenced license
  * d/copyright: add admin dir's licenses
  * Remove unnecessary Build-Conflicts
  * Build with CMake
  * Patch: Fix man install path for cmake

  [ Hideki Yamane ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Sun, 24 May 2020 21:09:38 +0900
