=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: grcompiler
-Build-Depends: debhelper (>= 12), debhelper-compat (= 12), docbook2x, pkg-config, libicu-dev (>= 4.2)
-Build-Conflicts: libgtkhtml3.2-dev, libgtkhtml3.6-dev
+Build-Depends: cmake, debhelper-compat (= 13), docbook2x, pkg-config, libicu-dev (>= 4.2), liblz4-dev
 Section: devel
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Daniel Glassey <wdg@debian.org>, Martin Hosken <martin_hosken@sil.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/fonts-team/grcompiler
 Vcs-Git: https://salsa.debian.org/fonts-team/grcompiler.git
 Homepage: https://github.com/silnrsi/grcompiler
