=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -16,5 +16,5 @@
 endif()
 
 add_custom_target(docs ALL DEPENDS ${DOC_DEPENDS})
-install(FILES ${DOC_DEPENDS} DESTINATION ${CMAKE_INSTALL_MANDIR})
+install(FILES ${DOC_DEPENDS} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 install(FILES ${DOCS} DESTINATION ${CMAKE_INSTALL_DOCDIR}/${CMAKE_PROJECT_NAME})
