=== compiler/Grammar/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,5 @@
 	ParserException.cpp 
 	ParserSharedInputState.cpp 
 	ScannerException.cpp 
-	String.cpp 
 	Token.cpp 
 	TokenBuffer.cpp)
