=== debian/changelog ===
grcompiler (5.2.1-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:06:15 +0100

grcompiler (5.2.1-1) unstable; urgency=medium

  * Team upload
  * Patch: Add missing include (Closes: #1037684)

 -- Bastian Germann <bage@debian.org>  Wed, 14 Jun 2023 14:18:03 +0200

grcompiler (5.2.1-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add docbook-xml to prevent "Attempt to load network entity"
  * Add missing WORDS_BIGENDIAN definition (Closes: #1018896)

 -- Bastian Germann <bage@debian.org>  Mon, 24 Oct 2022 00:18:35 +0200

grcompiler (5.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 5.2.1 (Closes: #993261)
  * Drop upstream patches
  * Patch: Prevent FetchContent_Declare with empty URL (Closes: #1017289)

 -- Bastian Germann <bage@debian.org>  Tue, 23 Aug 2022 20:54:47 +0200
