=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: grcompiler
-Build-Depends: cmake, debhelper-compat (= 13), docbook2x, pkg-config, libicu-dev (>= 4.2), liblz4-dev
+Build-Depends: cmake, debhelper-compat (= 13), docbook-xml, docbook2x, pkg-config, libicu-dev (>= 4.2), liblz4-dev
 Section: devel
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
