=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/grcompiler-$1\.tar\.gz/ \
  https://github.com/silnrsi/grcompiler/tags .*/v?(\d\S+)\.tar\.gz
